> For the complete documentation index, see [llms.txt](https://docs.dragonswap.app/dragonswap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/periphery/interfaces/iticklens.md).

# ITickLens

Provides functions for fetching chunks of tick data for a pool

This avoids the waterfall of fetching the tick bitmap, parsing the bitmap to know which ticks to fetch, and then sending additional multicalls to fetch the tick data

### Functions[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/ITickLens#functions) <a href="#functions" id="functions"></a>

#### getPopulatedTicksInWord[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/ITickLens#getpopulatedticksinword) <a href="#getpopulatedticksinword" id="getpopulatedticksinword"></a>

```solidity
  function getPopulatedTicksInWord(
    address pool,
    int16 tickBitmapIndex
  ) external returns (struct ITickLens.PopulatedTick[] populatedTicks)
```

Get all the tick data for the populated ticks from a word of the tick bitmap of a pool

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/ITickLens#parameters)

| Name              | Type    | Description                                                                                              |
| ----------------- | ------- | -------------------------------------------------------------------------------------------------------- |
| `pool`            | address | The address of the pool for which to fetch populated tick data                                           |
| `tickBitmapIndex` | int16   | The index of the word in the tick bitmap for which to parse the bitmap and fetch all the populated ticks |

**Return Values:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/ITickLens#return-values)

| Name             | Type                       | Description                                                 |
| ---------------- | -------------------------- | ----------------------------------------------------------- |
| `populatedTicks` | ITickLens.PopulatedTick\[] | An array of tick data for the given word in the tick bitmap |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/periphery/interfaces/iticklens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
